<mat-card>
  <mat-spinner *ngIf="isLoading" ></mat-spinner>
  <form *ngIf="!isLoading" (submit)="onLogin(loginFrom)"  #loginFrom="ngForm" >
    <mat-form-field>
      <input matInput type="text" name="username" ngModel placeholder="Username" #usernameInput="ngModel" required >
      <mat-error *ngIf="usernameInput.invalid" >
       Please enter a valid Username.
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput type="password" name="password" ngModel placeholder="Password" #passwordInput="ngModel" required >
      <mat-error *ngIf="passwordInput.invalid" >
        Please enter a valid Password.
       </mat-error>
    </mat-form-field>
    <button mat-raised-button color="primary" type="submit" *ngIf="!isLoading" >Login</button>
    <mat-spinner *ngIf="isLoading" ></mat-spinner>
  </form>
</mat-card>
